import yaml from 'yaml';
import * as fs from 'fs';

export interface Config {
  host: string;
  port: number;
}

export async function loadConfig(): Promise<Config> {
  return yaml.parse(await fs.promises.readFile('./config.yaml', 'utf-8'));
}
